uk.gov.hmrc.customs.api.common.config

# CustomsErrorHandler

###
Related Doc: package config

#### class CustomsErrorHandler extends DefaultHttpErrorHandler with AcceptExtractors

Annotations
  @Singleton()

Linear Supertypes
AcceptExtractors, DefaultHttpErrorHandler, HttpErrorHandler, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CustomsErrorHandler
2. AcceptExtractors
3. DefaultHttpErrorHandler
4. HttpErrorHandler
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new CustomsErrorHandler(environment: Environment, configuration: Configuration, sourceMapper: OptionalSourceMapper, router: Provider[Router])

   Annotations
     @Inject()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### def logServerError(request: RequestHeader, usefulException: UsefulException): Unit

    Attributes
      protected
    Definition Classes
      DefaultHttpErrorHandler

13. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def notify(): Unit

    Definition Classes
      AnyRef

15. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

16. #### def onBadRequest(request: RequestHeader, error: String): Future[Result]

    Attributes
      protected
    Definition Classes
      CustomsErrorHandler → DefaultHttpErrorHandler

17. #### def onClientError(request: RequestHeader, statusCode: Int, message: String): Future[Result]

    Definition Classes
      DefaultHttpErrorHandler → HttpErrorHandler

18. #### def onDevServerError(request: RequestHeader, e: UsefulException): Future[Result]

    Attributes
      protected
    Definition Classes
      CustomsErrorHandler → DefaultHttpErrorHandler

19. #### def onForbidden(request: RequestHeader, message: String): Future[Result]

    Attributes
      protected
    Definition Classes
      DefaultHttpErrorHandler

20. #### def onNotFound(request: RequestHeader, message: String): Future[Result]

    Attributes
      protected
    Definition Classes
      CustomsErrorHandler → DefaultHttpErrorHandler

21. #### def onOtherClientError(request: RequestHeader, statusCode: Int, message: String): Future[Result]

    Attributes
      protected
    Definition Classes
      CustomsErrorHandler → DefaultHttpErrorHandler

22. #### def onProdServerError(request: RequestHeader, e: UsefulException): Future[Result]

    Attributes
      protected
    Definition Classes
      CustomsErrorHandler → DefaultHttpErrorHandler

23. #### def onServerError(request: RequestHeader, exception: Throwable): Future[Result]

    Definition Classes
      DefaultHttpErrorHandler → HttpErrorHandler

24. #### def setPlayEditor(editor: String): Unit

    Definition Classes
      DefaultHttpErrorHandler

25. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

26. #### def toString(): String

    Definition Classes
      AnyRef → Any

27. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AcceptExtractors

### Inherited from DefaultHttpErrorHandler

### Inherited from HttpErrorHandler

### Inherited from AnyRef

### Inherited from Any

### Ungrouped